Description

alternatively, the "Roles & permissions" section should have "View subprojects" and "Edit subprojects" check boxes.

This is somewhat related to issue#4763.

Thanks!

Thomas

ps: "Subprojects"” is an ideal mechanism to organize complex projects in a hierarchy (devide & conquer) and thus increase the overall
quality of the project management by increasing the accuracy of time estimated, reducing redundancy and promoting synergy - at the
planing stage. A prerequisite for the potential benefit is, however, definition of suitable semantics for the concept of "Subprojects".
Intuitively, subprojects (by default) inherit (almost all) of their parents properties. - For properties like "Estimated time", "% Done",

"Priority" parent-projects show & consider the cumulated values of all given subprojects.

Related issues:

Related to Redmine - Feature #1878: Inherit parts of parent project by subpro... New

Related to Redmine - Patch #13065: German Translation for r11299 Closed
Related to Redmine - Feature #32002: Add inherit_members to projects API resp... Closed
Has duplicate Redmine - Feature #7401: Member Inheritance between projects an... Closed

2008-09-09

2011-01-21

Associated revisions

Revision 11298 - 2013-02-02 13:50 - Jean-Philippe Lang

Optionaly inherit members from parent project (#5605).

Revision 11299 - 2013-02-02 13:51 - Jean-Philippe Lang
Adds field_inherit_members string to locales (#5605).

Revision 11301 - 2013-02-02 14:18 - Jean-Philippe Lang
Typo that triggers an error when editing a subproject (#5605).

Revision 11302 - 2013-02-02 15:46 - Jean-Philippe Lang
Typo that makes the checkbox not visible (#5605).

Revision 11310 - 2013-02-03 09:03 - Jean-Philippe Lang

Adds a warning for when a user with inherited permissions disables inheritance (#5605).

Revision 11312 - 2013-02-03 09:14 - Jean-Philippe Lang
Don't display the warning to administrators (#5605).

History

#1 - 2010-05-31 11:18 - Tharuka Pathirana
Related to #20767?

#2 - 2010-07-09 11:39 - Anonymous
Hi,
https://www.redmine.org/issues/2076

We need this feature, too. We have subprojects belonging to subdirectories in the same svn repo. | like the way to authenticate against svn only via
redmine. (Redmine.pm). But the permissions aren't inherited from the super project.

like this:

super-project <= Member1, Role:Developer |sub-project <= Member1 from super-project (failed)

A quickfix was using Groups:

super-project-developers <= Member1

super-project <= super-project-developers, Role:Developer [sub-project <= super-project-developers, Role:Developer

So | can add users to the group "super-project-developers" and there have same permissions on both projects
But: Managers arent' capable in changing members of groups, and | don't want them to become admins.

Any Suggestions?

Cheers, Marco

#3 - 2010-10-12 09:40 - thomas wang

Hey guys,| wonder if there is a function that subprojects can inherit the root's Members & Roles,or a project's Members and its Roles can be selected
to apply for other projects,that would save lot of time

#4 - 2010-10-19 17:21 - Albert Rosenfield

+1
except there is no need for this to be optional nor editable, permissions should just always flow from projects to subprojects.

(like most, if not all, good tree-based ACL system.)

#5 - 2010-11-12 14:47 - Petr Pospisil

Please add this feature to the Redmine. At a process of creating a new sub-project | would like to say something like "inherite members

(permissions)", "inherite modules", "inherite custom fields" etc. Thank you. At this moment when | have a subproject(s) and a new member come in
than | have to add him to all projects separately.

#6 - 2010-12-12 14:16 - lan DeFazio

+1

#7 - 2010-12-12 22:04 - Terence Mill

+1

#8 - 2011-01-03 07:43 - Michael Fairchild

+1

#9 - 2011-03-07 17:48 - Matthias Geier

What about adding something like dynamic groups?

In "Settings->Members->New member" now there is a list of all users followed by a list of all groups.
After that, there could be some automatically generated items like

All parent project members with the role Manager
All parent project members with the role Developer

[ ]
L]
. e
¢ All top-level project members with the role Manager

¢ All top-level project members with the role Developer

L]

This way the project manager would have full control which roles to assign members of the parent project and the top-level project, respectively.
For example, you could specify that all Developers of the parent project should get the role Visitor in this project.

If the parent project doesn't have members of a certain role - or if it's a top-level project - no list items should be generated.

If projects are moved around in the hierarchy, maybe these kind of permissions should be removed because they probably don't make sense in the
new context.

The actual names of the dynamic groups should probably contain the full name of the parent project and the top-level project, respectively. Let's say
you have a parent project Syntax Highlighting, then the list entries could look like this:

¢ All members of Syntax Highlighting with the role Manager
o All members of Syntax Highlighting with the role Developer

L] ee
This could be extended to be a solution to #7342 by introducing a new dynamic group
¢ All registered users

Of course, the assignment of users to dynamic groups cannot be fixed (or even cached?), they have to be evaluated at each access.
So if a member is added in a parent project, this should be propagated automatically to the relevant sub-projects.

#10 - 2011-05-27 10:02 - Bitt Sitt

+1

If you add a member to a project, it would also be nice with a checkbox "Add to subprojects" so that if a new member enters the team, he can easily
be given access to all subprojects.

#11 - 2011-06-17 12:04 - Sylvain Bannier

+1

#12 - 2011-07-15 19:49 - Fernando Hartmann

+1

#13 - 2011-10-26 21:03 - Mischa The Evil
Added relation to #1878.

#14 - 2011-12-20 04:43 - Anonymous

+1

#15 - 2012-05-17 10:59 - Egidijus Zideckas

+1

#16 - 2012-09-11 13:43 - Miguel Angel Salcedo

+1

#17 - 2012-09-14 08:04 - Rafael Amorim

+1

#18 - 2012-09-14 08:05 - Thiago Cassio Krug

+1

#19 - 2012-10-03 14:52 - Judicaél Bedouet

+1

#20 - 2012-10-06 14:14 - Nik G

+1

#21 - 2012-10-10 13:33 - Adriano Ceccarelli

+1

#22 - 2012-10-22 21:25 - Fred Leeflang

+1

#23 - 2012-10-23 08:34 - Sebastian Hucke

+1

#24 - 2012-12-08 12:10 - Alex Gusarev

+1

#25 - 2012-12-27 05:25 - Anonymous
+1

#26 - 2013-01-21 15:49 - Dominik Folimann

+1

#27 - 2013-01-30 07:44 - Konstantin Isakov

+1

#28 - 2013-01-30 14:43 - Lukas Steinert

+1

#29 - 2013-01-30 14:47 - Anonymous

+1

#30 - 2013-02-02 14:05 - Jean-Philippe Lang

- Subject changed from subprojects should (optionally) inherit Members from their parent to Subprojects should (optionally) inherit Members from their
parent

- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang
- Target version set to 2.3.0

- Resolution set to Fixed

Feature added in r11298. Subprojects can now inherit members from their parent by checking the Inherit members checkbox on the project form
when creating or editing a project.

#31 - 2013-02-02 18:19 - lvan Cenov
| tested and here is what | saw:
| am manager of P1 project and:
1. Created P2, child of P1 with checked on inheritance of members.
2. Checked in P2, yes, members are inherited.
3. Unchecked the check box.
4. Saved the form, Redmine rendered 403.

This is obviously. All members, including me as Manager were un-inherited.

| propose that some validation of the form, when saving it to check if such situation may happen and at least to show an alert with a text something
like "Are you sure doing thing. You will loss the control of the project.”

P.S. It happened, because | as not member (removed member), cannot see Setting tabs.

#32 - 2013-02-02 19:14 - Jean-Philippe Lang

Yes, the same warning as when a user removes its project membership should be displayed.

#33 - 2013-02-03 09:05 - Jean-Philippe Lang

Warning message added. If you have inherited some permissoins from the parent project, you'll get a confirmation dialog box when unchecking
"Inherit members".

#34 - 2013-03-18 13:29 - Terence Mill

The hierarchy paradigm is not adopted well in some of the reports.

For example Sumary does not report on issue of subprojects. If members areinherited there shall be at least an option "show subprojects" to click to
also include childs projects issues. It must recognize that there are also additional tracker in child projects possible.

| created an issue for this #12492

#35 - 2019-09-04 02:29 - Go MAEDA

- Related to Feature #32002: Add inherit_members to projects API response added
